org.apache.commons.math.ode

## Class DerivativeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.math.MathException
      - - org.apache.commons.math.ode.DerivativeException

All Implemented Interfaces:
  Serializable, MathThrowable

Direct Known Subclasses:
  MultistepIntegrator.InitializationCompletedMarkerException

    public class DerivativeException
    extends MathException

This exception is made available to users to report the error conditions that are triggered while computing the differential equations.

Since:
  1.2
Version:
  $Revision: 1072413 $ $Date: 2011-02-19 19:59:39 +0100 (sam. 19 févr. 2011) $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version identifier

### Constructor Summary

Constructors
Constructor and Description
`DerivativeException(Localizable specifier, Object... parts)` Simple constructor.
`DerivativeException(String specifier, Object... parts)` Simple constructor.
`DerivativeException(Throwable cause)` Build an instance from an underlying cause.

### Method Summary

### Methods inherited from class org.apache.commons.math.MathException

`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version identifier

See Also:
  Constant Field Values

### Constructor Detail

#### DerivativeException

    public DerivativeException(String specifier,
                       Object... parts)

Simple constructor. Build an exception by translating and formating a message

Parameters:
  `specifier` - format specifier (to be translated)
  `parts` - to insert in the format (no translation)

#### DerivativeException

    public DerivativeException(Localizable specifier,
                       Object... parts)

Simple constructor. Build an exception by translating and formating a message

Parameters:
  `specifier` - format specifier (to be translated)
  `parts` - to insert in the format (no translation)
Since:
  2.2

#### DerivativeException

    public DerivativeException(Throwable cause)

Build an instance from an underlying cause.

Parameters:
  `cause` - cause for the exception